Groundeddocs
ReferenceAdmin

Assign or remove an agent's short name, /a/{short} (platform admins; audited)

PUT/v1/admin/agents/{agentId}/short-name

2-40 lowercase letters, digits or hyphens, starting with a letter or digit; not reserved (admin, api, id, embed, widget, auth, v1, ...). 400 invalid_short_name, 409 short_name_taken.

Path Parameters

agentId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/admin/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/short-name" \  -H "Content-Type: application/json" \  -d '{    "shortName": "string"  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",    "teamSlug": "string",    "teamName": "string",    "slug": "string",    "name": "string",    "status": "active",    "disabledReason": "string",    "disabledAt": "2019-08-24T14:15:22Z",    "publishedVersion": 0,    "publishedAt": "2019-08-24T14:15:22Z",    "classification": "string",    "chatModelName": "string",    "audience": "team",    "shortName": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}